package cn.iocoder.yudao.module.order.convert.orderWarehouseIn;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.order.dal.dataobject.orderItem.OrderItemDO;
import cn.iocoder.yudao.module.order.dal.dataobject.orderWarehouseIn.OrderWarehouseInDO;
import cn.iocoder.yudao.module.order.vo.orderWarehouseIn.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 入仓货物详情 Convert
 *
 * @author yanghao
 */
@Mapper
public interface OrderWarehouseInConvert {
    /*****转换MapStruct*****/
    OrderWarehouseInConvert INSTANCE = Mappers.getMapper(OrderWarehouseInConvert.class);

    /***
     * 创建VO转实体
     * @param orderWarehouseInItemDto
     * @return
     */
    OrderWarehouseInDO convert(OrderWarehouseInItemDto orderWarehouseInItemDto);
    OrderWarehouseInItemDto convert(OrderWarehouseInDO orderWarehouseInDO);


    OrderWarehouseInBackItemDo convert2(OrderWarehouseInDO bean);

}
