package cn.iocoder.yudao.module.order.vo.orderSpecialNeed;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 特需 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderSpecialNeedBaseVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "特需要求")
    private String advanceType;

    @ApiModelProperty(value = "垫付的内陆运输费用")
    private java.math.BigDecimal transFee;

    @ApiModelProperty(value = "运输费币种")
    private Integer transCurrency;

    @ApiModelProperty(value = "付款类型")
    private Integer payType;

    @ApiModelProperty(value = "特需备注")
    private String todoDetail;

    @ApiModelProperty(value = "特需申请人")
    private Integer advanceWho;


    @ApiModelProperty(value = "应收费")
    private java.math.BigDecimal receivableMoney;

    @ApiModelProperty(value = "应收费币种")
    private Integer receivableMoneyCurrency;

}
