package cn.iocoder.yudao.module.order.vo.orderSplit;

import cn.iocoder.yudao.module.order.dto.OrderBackInfoDto;
import cn.iocoder.yudao.module.order.vo.order.OrderBackVO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Data
@ToString
@EqualsAndHashCode
@ApiModel("管理后台 - 订单撤销拆单申请明细DTO")
public class OrderSplitRevokeApplyDetailDto {

    private OrderBackInfoDto parentOrder;

    private List<OrderBackInfoDto> childrenOrderList;

    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 流程表单实例ID
     */
    private String formId;
    /**
     * 类型 详见order_approval_type：1 特价优惠 2 管理折扣  3 佣金申请 4 重货优惠 5 泡货优惠
     */
    private Integer type;




}
